<template>
  <div>
    {{normalizedType}}
    <button @click="handleClick">点击</button>
    {{currentData}}
  </div>
</template>

<script>

// 通过data和计算属性改变props中的数据
export default {
  name: 'Child2',
  props: {
    change:String
  },
  data () {
    return {
      currentData:this.change
    }
  },
  created () {
  
  },
  computed: {
    // 通过计算属性修改props中的数据
    normalizedType:function(){
      return this.change.toUpperCase();
    }
  },
  methods: {
    handleClick(){
      // 通过data赋值修改props中的数据
      this.currentData='change Child2';
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
